## ros-iron-gps-tools 2.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(gps_tools)

set(CMAKE_CXX_STANDARD 14)

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_python REQUIRED)

find_package(nav_msgs REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(sensor_msgs REQUIRED)

# Install the python module for this package
ament_python_install_package(${PROJECT_NAME})

add_library(utm_odometry_component SHARED
  src/utm_odometry_component.cpp)
target_include_directories(utm_odometry_component
  PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>
)
target_compile_definitions(utm_odometry_component
  PRIVATE "COMPOSITION_BUILDING_DLL")
rclcpp_components_register_nodes(utm_odometry_component "gps_tools::UtmOdometryComponent")
ament_target_dependencies(utm_odometry_component
  "nav_msgs"
  "rclcpp"
  "rclcpp_components"
  "sensor_msgs"
)

add_library(utm_odometry_to_navsatfix_component SHARED
  src/utm_odometry_to_navsatfix_component.cpp)
target_include_directories(utm_odometry_to_navsatfix_component
  PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>
)
target_compile_definitions(utm_odometry_to_navsatfix_component
  PRIVATE "COMPOSITION_BUILDING_DLL")
rclcpp_components_register_nodes(utm_odometry_to_navsatfix_component "gps_tools::UtmOdometryToNavSatFixComponent")
ament_target_dependencies(utm_odometry_to_navsatfix_component
  "nav_msgs"
  "rclcpp"
  "rclcpp_components"
  "sensor_msgs"
)

install(TARGETS
    utm_odometry_component
    utm_odometry_to_navsatfix_component
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)
install(DIRECTORY include/
  DESTINATION include
)
install(PROGRAMS
    scripts/bag_converter
    nodes/fix_translator
  DESTINATION bin
)

# Export package dependencies
ament_export_dependencies(ament_cmake
  ament_cmake_python
  rclcpp
  rclpy
)
ament_export_include_directories(include)
ament_export_libraries(utm_odometry_component utm_odometry_to_navsatfix_component)

ament_package()

=== debian/changelog ===
ros-iron-gps-tools (2.0.3-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 06 Sep 2023 05:00:00 -0000

ros-iron-gps-tools (2.0.2-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 23 Jun 2023 05:00:00 -0000

ros-iron-gps-tools (2.0.1-1jammy) jammy; urgency=high

  * Fixed Iron Build Error (#76 <https://github.com/swri-robotics/gps_umd/issues/76>)
  * Contributors: RoboTech Vision

 -- P. J. Reed <preed@swri.org>  Thu, 08 Jun 2023 05:00:00 -0000

ros-iron-gps-tools (1.0.7-1jammy) jammy; urgency=high

  * Specifying correct libraries to export (#71 <https://github.com/swri-robotics/gps_umd/issues/71>)
  * Contributors: David Anthony

 -- P. J. Reed <preed@swri.org>  Tue, 04 Apr 2023 05:00:00 -0000

ros-iron-gps-tools (1.0.6-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 04 Apr 2023 05:00:00 -0000

ros-iron-gps-tools (1.0.5-1jammy) jammy; urgency=high

  * Fix truncation warning for UTM zone snprintf() (#45 <https://github.com/swri-robotics/gps_umd/issues/45>)
  * Contributors: Kevin Hallenbeck

 -- P. J. Reed <preed@swri.org>  Tue, 30 Aug 2022 05:00:00 -0000

ros-iron-gps-tools (1.0.4-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 14 Aug 2020 05:00:00 -0000

ros-iron-gps-tools (1.0.3-1jammy) jammy; urgency=high

  * Foxy support (#29 <https://github.com/swri-robotics/gps_umd/issues/29>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Wed, 10 Jun 2020 05:00:00 -0000

ros-iron-gps-tools (1.0.2-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 05 Mar 2020 06:00:00 -0000

ros-iron-gps-tools (1.0.1-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 05 Mar 2020 06:00:00 -0000

ros-iron-gps-tools (1.0.0-1jammy) jammy; urgency=high

  * Support ROS2 (#24 <https://github.com/pjreed/gps_umd/issues/24>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Fri, 04 Oct 2019 05:00:00 -0000

ros-iron-gps-tools (0.3.0-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 03 Oct 2019 05:00:00 -0000

ros-iron-gps-tools (0.2.0-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 16 Nov 2017 06:00:00 -0000

ros-iron-gps-tools (0.1.9-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 08 May 2017 05:00:00 -0000

ros-iron-gps-tools (0.1.8-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 31 Oct 2016 05:00:00 -0000

ros-iron-gps-tools (0.1.7-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 08 May 2014 02:05:33 -0500

ros-iron-gps-tools (0.1.6-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 02 Aug 2013 14:59:00 -0000

=== debian/control ===
Source: ros-iron-gps-tools
Section: misc
Priority: optional
Maintainer: P. J. Reed <preed@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-cmake-python, ros-iron-gps-msgs, ros-iron-nav-msgs, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-rclpy, ros-iron-sensor-msgs, ros-iron-std-msgs, ros-iron-ros-workspace
Homepage: http://ros.org/wiki/gps_common
Standards-Version: 3.9.2

Package: ros-iron-gps-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-gps-msgs, ros-iron-nav-msgs, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-rclpy, ros-iron-sensor-msgs, ros-iron-std-msgs, ros-iron-ros-workspace
Description: GPS routines for use in GPS drivers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-gps-tools//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
